Subject: Re: bug#18189: customized value of 'vc-annotate-background-mode' is applied only after restarting Emacs

From: Juri Linkov <[email-masked]>
Date: Sun, 10 Aug 2014 02:57:43 +0300

>> `vc-annotate-background-mode' is defined before `vc-annotate-color-map'
>> in the source file vc-annotate.el, so there is a cyclic dependency
>> in these variables.  When I tried to provide it directly in the `defcustom'
>
> Usually that's a sign you need an :initialize as well as a :set, and/or
> a :set-after.

I don't see how :initialize and :set-after could be used
to update the value of the dependent variable, and can't find
a suitable example in the source code, so I just added a check
for (boundp 'vc-annotate-color-map).